{{> _header }}
{{> _navbar }}

<div class="ui container" style="margin-top: 20px;">
    <form class="ui form" id="new-preferences" method="post" action="/new-preferences">
        <div class="field">
            <label>Name</label>
            <input type="text" name="name" placeholder="{{ name }}">
        </div>

        <input type="text" name="id" hidden value="{{ id }}" />
        <input type="text" id="token" name="token" hidden />

        {{#channelsByServer}}
            <h1>{{ server }}</h1>
            {{#channels}}
                <div class="field">
                    <div class="ui checkbox">
                        <input type="checkbox" tabindex="0" class="hidden" {{#in}}checked{{/in}} name="{{ id }}_{{ server_id }}">
                        <label>{{ name }}</label>
                    </div>
                </div>
            {{/channels}}
        {{/channelsByServer}}

        <button class="ui button inverted green large" style="position: fixed; bottom: 40px; right: 40px;" type="submit">Submit</button>
    </form>
</div>

<script>
    $(function() {
        $('.ui.checkbox').checkbox();

        const form = $("#new-preferences");
        form.submit(function(e) {
            e.preventDefault();

            $.get("/generate-token");
            Swal.fire({
                title: "Token Required",
                input: 'text',
                text: "We sent you a token in Discord, enter that token here.",
                type: "info",
                showCancelButton: true,
                showLoaderOnConfirm: true,
                preConfirm: (text) => {
                    $("#token").val(text);
                    return $.post('/new-preferences', form.serialize())
                }
            }).then((result) => {
                console.log(result);
                Swal.fire({title: result.value === "valid" ? "Preferences Changed!" : "Invalid Token"});
            });
        });
    });
</script>

{{> _footer}}